<Project Sdk="Microsoft.NET.Sdk">

  <PropertyGroup>
    <OutputType>WinExe</OutputType>
    <TargetFramework>net10.0-windows</TargetFramework>
    <Nullable>enable</Nullable>
    <ImplicitUsings>enable</ImplicitUsings>
    <UseWPF>true</UseWPF>
  </PropertyGroup>

  <ItemGroup>
    <Compile Remove="ViewModels\**" />
    <EmbeddedResource Remove="ViewModels\**" />
    <None Remove="ViewModels\**" />
    <Page Remove="ViewModels\**" />
  </ItemGroup>

  <ItemGroup>
    <None Remove="Images\bmg.png" />
    <None Remove="Images\printTime.png" />
    <None Remove="Images\touzhao.png" />
  </ItemGroup>

  <ItemGroup>
    <Page Remove="Views\Change.xaml" />
  </ItemGroup>

  <ItemGroup>
    <PackageReference Include="EPPlus" Version="7.1.0" />
    <PackageReference Include="HandyControl" Version="3.5.1" />
    <PackageReference Include="MathNet.Numerics" Version="5.0.0" />
    <PackageReference Include="NModbus4" Version="2.1.0" />
    <PackageReference Include="SunnyUI" Version="3.9.6" />
    <PackageReference Include="System.IO.Ports" Version="10.0.6" />
  </ItemGroup>

  <ItemGroup>
    <Resource Include="Images\bmg.png">
      <CopyToOutputDirectory>Never</CopyToOutputDirectory>
    </Resource>
    <Resource Include="Images\printTime.png">
      <CopyToOutputDirectory>Never</CopyToOutputDirectory>
    </Resource>
    <Resource Include="Images\touzhao.png">
      <CopyToOutputDirectory>Never</CopyToOutputDirectory>
    </Resource>
  </ItemGroup>

</Project>
